FIND_PATH(CLOOG_INCLUDE_DIR cloog/cloog.h)

FIND_LIBRARY(CLOOG_LIBRARY NAMES cloog-isl)

IF (CLOOG_INCLUDE_DIR AND CLOOG_LIBRARY)
  SET(CLOOG_FOUND TRUE)
ENDIF (CLOOG_INCLUDE_DIR AND CLOOG_LIBRARY)


IF (CLOOG_FOUND)
  IF (NOT CLOOG_FIND_QUIETLY)
    MESSAGE(STATUS "Found Cloog: ${CLOOG_LIBRARY}")
  ENDIF (NOT CLOOG_FIND_QUIETLY)
ELSE (CLOOG_FOUND)
  IF (CLOOG_FIND_REQUIRED)
    MESSAGE(FATAL_ERROR "Could not find Cloog")
  ENDIF (CLOOG_FIND_REQUIRED)
ENDIF (CLOOG_FOUND)

